Subject: bug#43498: closed (Re: bug#43498: Guix suggests adding modules that define but don't export the variable)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Oct 2020 21:40:01 +0000

Your bug report

#43498: Guix suggests adding modules that define but don't export the variable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43498: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43498
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43498: Guix suggests adding modules that define but don't export the variable
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Oct 2020 23:39:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Quick bug report from tribals on #guix:
>
>> Does `gnu/packages/firmware.scm` export `make-arm-trusted-firmware`?
>> I'm getting error "error: make-arm-trusted-firmware: unbound variable"
>> "hint: Did you forget `(use-modules (gnu packages firmware))'?" when
>> trying to use it. And I also did `(use-modules (gnu packages
>> firmware))`
>
> Is it possible for Guix not to suggest private variables, or print a
> different hint in such cases?

Fixed in 5ef1508942ee083ed22b844f5291e59320016b79: now only modules that
export a matching variable are suggested.

Thanks,
Ludo’.

Subject: Guix suggests adding modules that define but don't export the variable
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Sat, 19 Sep 2020 01:19:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix,

Quick bug report from tribals on #guix:

> Does `gnu/packages/firmware.scm` export `make-arm-trusted-firmware`?
> I'm getting error "error: make-arm-trusted-firmware: unbound variable"
> "hint: Did you forget `(use-modules (gnu packages firmware))'?" when
> trying to use it. And I also did `(use-modules (gnu packages 
> firmware))`

Is it possible for Guix not to suggest private variables, or print a 
different hint in such cases?

Kind regards,

T G-R

Sent from a Web browser. Excuse or enjoy my brevity.